> For the complete documentation index, see [llms.txt](https://docs.digitalturbine.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalturbine.com/dt-fairbid/advanced-configurations/dt-fairbid-management-api/app-level.md).

# App Level

Here you can find the endpoints and parameters for Apps, using the DT FairBid Management API.

## Get App/Apps <a href="#id-01fnx85y71rjh4ytwk8k6f3z04" id="id-01fnx85y71rjh4ytwk8k6f3z04"></a>

**Description**

Return the app's saved configuration by App ID.

Return all apps (of a single user)

**Method**

`GET https://console.fyber.com/api/management/v1/app?appId=`

`GET https://console.fyber.com/api/management/v1/app?publisherId=`

### Request Parameters <a href="#id-01fnx85y7100fhkyzzygdcyf1n" id="id-01fnx85y7100fhkyzzygdcyf1n"></a>

| Key         | Description             | Type   | Required | Example |
| ----------- | ----------------------- | ------ | -------- | ------- |
| appId       | The ID of the app       | Number | Required | 1070709 |
| publisherId | The ID of the publisher | Number | Required | 4       |

### Example Request <a href="#id-01fnx85y71nhg1c2cswf2vrxkp" id="id-01fnx85y71nhg1c2cswf2vrxkp"></a>

```
https://console.fyber.com/api/management/v1/app?appId=170709
```

When a boolean field is left empty, the value of the empty string is automatically parsed as false.

### Response Parameters <a href="#id-01fnx85y71p5qjwvt7yz2qbspm" id="id-01fnx85y71p5qjwvt7yz2qbspm"></a>

| Key                     | Description                                                                                                                                       | Type       | Example                                                                                                                         |
| ----------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- | ---------- | ------------------------------------------------------------------------------------------------------------------------------- |
| appId                   | DT App ID                                                                                                                                         | String     | “170709”                                                                                                                        |
| publisherId             | DT Publisher ID                                                                                                                                   | String     | “3432”                                                                                                                          |
| name                    | The name of the app                                                                                                                               | String     | “CashCrash”                                                                                                                     |
| bundle                  | App's android bundle or iOS Store ID                                                                                                              | String     | “com.cash\_crash.54”                                                                                                            |
| status                  | <p>The status of the app.<br>Can be either "active" or "inactive"</p>                                                                             | String     | “active”                                                                                                                        |
| platform                | App's platform (Android or iOS)                                                                                                                   | String     | "android"                                                                                                                       |
| storeURL                | App's store URL                                                                                                                                   | String     | <p>“<https://play.google.com/store><br>/apps/details?id=com.<br>bKash.customerapp“</p>                                          |
| category1               | App's first store category                                                                                                                        | String     | "Business"                                                                                                                      |
| category2               | App's second store category                                                                                                                       | String     | "Finance"                                                                                                                       |
| coppa                   | Children's Online Privacy Protection Act. Is the app directed to children under 13 years of age?                                                  | Boolean    | false                                                                                                                           |
| rewardedAdUrl           | URL to be used for server-side callbacks on app's rewarded placements                                                                             | String     | <p>"<https://mygamesdomain>.<br>com/callbacks.aspx?user\_id={{USER\_ID}}\&reward\_amount={{AMOUNT}}<br>\&signature={{SIG}}"</p> |
| rewardedAdSecurityToken |                                                                                                                                                   | String     | <p>“036xxxx5027e12c00f85a<br>4cbec3d1XXXXXa608cc<br>573a3482bXXXXX1164b8<br>64169”</p>                                          |
| activeMediatedNetworks  | The selected mediated network. For a complete list of mediated networks, see [Supported Networks](/dt-fairbid/fairbid-sdk/supported-networks.md). | String \[] | \[“adColony”, “admob mediation”]                                                                                                |

### Example Response <a href="#id-01fnx85y72jy5g5tt4f8578t7s" id="id-01fnx85y72jy5g5tt4f8578t7s"></a>

{% code title="JSON" %}

```json
{
       "appId": "170709",
       "publisherId": "4",
       "name": "bKash",
       "bundle": "com.bKash.customerapp",
       "status": "active",
       "platform": "android",
       "storeUrl": "https://play.google.com/store/apps/details?
id=com.bKash.customerapp",
       "category1": "Finance",
       "category2": "APPLICATION",
       "coppa": false,
       "rewardedAdUrl": "https://mygamesdomain.com/callbacks.
aspx?user_id={{USER_ID}}&reward_amount={{AMOUNT}}&
signature={{SIG}}",   "rewardedAdSecurityToken": 
"036ae5027XXXXXXXXX161a632a608cc573a3482b9c1XXXXX4b864169"
    "activeMediatedNetworks": [
           "Admob Mediation",
           "AdColony"      
       ]
    }
    
```

{% endcode %}

## Create an App <a href="#id-01fnx85y72088jjptwcy26ndq7" id="id-01fnx85y72088jjptwcy26ndq7"></a>

**Description**

Create a new app.

**Method**

`POST https://console.fyber.com/api/management/v1/app`

### Request Parameters <a href="#id-01fnx85y72xqkkpk9h69gwzwjk" id="id-01fnx85y72xqkkpk9h69gwzwjk"></a>

| Key           | Description                                                                                      | Type   | Required | Example                                                                                                                          |
| ------------- | ------------------------------------------------------------------------------------------------ | ------ | -------- | -------------------------------------------------------------------------------------------------------------------------------- |
| name          | The name of the app                                                                              | String | Required | "CashCrash"                                                                                                                      |
| bundle        | App's Android bundle or iOS Store ID                                                             | String | Required | "com.cash\_crash.54"                                                                                                             |
| platform      | App's platform (Android or iOS)                                                                  | String | Required | "android"                                                                                                                        |
| category1     | App's first store category                                                                       | String | Required | "business"                                                                                                                       |
| coppa         | Children's Online Privacy Protection Act. Is the app directed to children under 13 years of age? | String | Required | false                                                                                                                            |
| rewardedAdUrl | URL to be used for server side call back on app’s rewarded placements                            | String | Optional | <p>"<https://mygameesdomain.com><br>/callbacks.aspx?user\_id={{USER\_ID}}\&reward\_amount<br>={{AMOUNT}}\&signature={{SIG}}"</p> |
| category2     | App’s second store category                                                                      | String | Optional | “Finance”                                                                                                                        |

### Example Request <a href="#id-01fnx85y72hgz18xw21v4h1bzc" id="id-01fnx85y72hgz18xw21v4h1bzc"></a>

{% code title="JSON" %}

```json
{
        "appId": "170709",
    "publisherId": "3432",
    "status": "active",
    "name": "CashCrash",
        "coppa": true,
        "platform": "ios",
        "category1": "Books",
        "category2": "Business",
        "bundle": "com.cash_crash.54",
        "rewardedAdUrl": "https://mygameesdomain.com/callbacks
.aspx?user_id={{USER_ID}}&reward_amount={{AMOUNT}}
&signature={{SIG}}"
    }
    
```

{% endcode %}

### Response Parameters <a href="#id-01fnx85y72zmxqakhfs4h01e5e" id="id-01fnx85y72zmxqakhfs4h01e5e"></a>

| Key                     | Description                                                                                      | Type    | Example                                                                                                                              |
| ----------------------- | ------------------------------------------------------------------------------------------------ | ------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| appId                   | DT App ID                                                                                        | Number  | “170709”                                                                                                                             |
| publisherId             | DT Publisher ID                                                                                  | Number  | “3432”                                                                                                                               |
| name                    | The name of the App                                                                              | String  | “CashCrash”                                                                                                                          |
| bundle                  | App’s Android bundle or iOS store ID                                                             | String  | “com.cash\_crash.54”                                                                                                                 |
| status                  | <p>The status of the app.<br>Can be either "active" or "inactive"</p>                            | String  | “active”                                                                                                                             |
| platform                | App’s platform (Android or iOS)                                                                  | String  | “android”                                                                                                                            |
| storeURL                | App’s store URL                                                                                  | String  | <p>“<https://play.google.com/store><br>/apps/details?id=com.bKash.<br>customerapp“</p>                                               |
| category1               | App’s first store category                                                                       | String  | “Business”                                                                                                                           |
| category2               | App’s second store category                                                                      | String  | "Finance"                                                                                                                            |
| coppa                   | Children's Online Privacy Protection Act. Is the app directed to children under 13 years of age? | Boolean | False                                                                                                                                |
| rewardedAdUrl           | URL to be used for server side call back on app’s rewarded placements                            | String  | <p>"<https://mygameesdomain.com/><br>callbacks.aspx?user\_id={{USER\_ID}}<br>\&reward\_amount={{AMOUNT}}<br>\&signature={{SIG}}"</p> |
| rewardedAdSecurityToken |                                                                                                  | String  | <p>“000096ae5027e12c00f<br>85a4XXXXXX3d161a632<br>a608ccXXXXXX82b9c<br>1151164b864169”</p>                                           |

### Example Response <a href="#id-01fnx85y736t8q91mc56mmq7je" id="id-01fnx85y736t8q91mc56mmq7je"></a>

{% code title="JSON" %}

```json
{
       "appId": "170709",
       "publisherId": "4",
       "name": "CashCrash",
       "bundle": "com.cash_crash.54",
       "status": "active",
       "platform": "ios",
       "storeUrl": "",
       "category1": "Books",
       "category2": "Business",
       "coppa": true,
       "rewardedAdUrl": "https://mygameesdomain.com/callbacks
.aspx?user_id={{USER_ID}}&reward_amount={{AMOUNT}}
&signature={{SIG}}",   "rewardedAdSecurityToken": 
"d613c47d081eXXXXXXXXXXf19f90a197ba4b5057556493f1e5759b14c"
    }
    
```

{% endcode %}

## Update an App <a href="#id-01fnx85y73nddq0jy554t9sqkk" id="id-01fnx85y73nddq0jy554t9sqkk"></a>

**Description**

Update an existing app.

**Method**

`PUT https://console.fyber.com/api/management/v1/app`

### Request Parameters <a href="#id-01fnx85y73revx3zf8jf506ehc" id="id-01fnx85y73revx3zf8jf506ehc"></a>

| Key           | Description                                                                                      | Type    | Required | Example                                                                                                                      |
| ------------- | ------------------------------------------------------------------------------------------------ | ------- | -------- | ---------------------------------------------------------------------------------------------------------------------------- |
| appId         | DT App ID                                                                                        | Number  | Required | "170709"                                                                                                                     |
| status        | <p>The status of the app.<br>Can be either "active" or "inactive"</p>                            | String  | Optional | "active"                                                                                                                     |
| coppa         | Children's Online Privacy Protection Act. Is the app directed to children under 13 years of age? | Boolean | Optional | true                                                                                                                         |
| rewardedAdUrl | URL to be used for server-side call back on app's rewarded placements                            | String  | Optional | <p>"<https://mygameesdomain.com><br>/callbacks.aspx?user\_id={{USER\_ID}}\&reward\_amount={{AMOUNT}}\&signature={{SIG}}"</p> |

### Example Request <a href="#id-01fnx85y73qa0hkyt9nr5hdtdm" id="id-01fnx85y73qa0hkyt9nr5hdtdm"></a>

{% code title="JSON" %}

```json
{
       "appId": "178505",
       "coppa": true,
       "status": "inactive",
       "rewardedAdUrl": "https://check546745674.com/callbacks.
aspx?user_id={{USER_ID}}&reward_amount={{AMOUNT}}&signature
={{SIG}}"
    }
    
```

{% endcode %}

## Delete an App <a href="#id-01fnx85y73jp032hr92ykvt2er" id="id-01fnx85y73jp032hr92ykvt2er"></a>

**Description**

Delete an existing app.

**Method**

`DELETE https://console.fyber.com/api/management/v1/app`

### Request Parameters <a href="#id-01fnx85y73h0yhf82kh6c8mn08" id="id-01fnx85y73h0yhf82kh6c8mn08"></a>

| Key   | Description       | Required | Type   |
| ----- | ----------------- | -------- | ------ |
| appId | The ID of the app | Required | Number |

### Example Request <a href="#id-01fnx85y73js31jxqk662xsx3z" id="id-01fnx85y73js31jxqk662xsx3z"></a>

{% code title="JSON" %}

```json
{
       "appId": "123123"
    }
```

{% endcode %}

### Example Response <a href="#id-01fnx85y73vbaqrryk5fpwkp8q" id="id-01fnx85y73vbaqrryk5fpwkp8q"></a>

{% code title="JSON" %}

```json
{
       "message": "App 178441 has been deleted successfully."
    }
    
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalturbine.com/dt-fairbid/advanced-configurations/dt-fairbid-management-api/app-level.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
